Bug 135606 - X Font Server crashes when accessing Type 1 fonts via showfont.
X Font Server crashes when accessing Type 1 fonts via showfont.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
David Lawrence
: Security
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2004-10-13 15:05 EDT by Gene Dellinger
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-501
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-15 04:47:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Dellinger 2004-10-13 15:05:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
Roadrunner)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Pick a Type 1 font.
2.Run "showfont -server unix/:7100 -fnt <full font name>" (for 
example I used: "showfont -server unix/:7100 -fnt -b\&h-Luxi\ Mono-
bold-r-normal--0-0-0-0-m-0-iso8859-1")
3.Connection closes and X font server has crashed. 
    

Additional info:

Problem was first noticed when attempting to contact the Font server 
directly. It would crash on FSQueryXExtents16() and FSQueryXBitmaps16
().
Comment 1 Mike A. Harris 2005-03-07 17:04:56 EST
This might be related to bug #145546
Comment 7 Kristian Høgsberg 2005-06-20 17:30:58 EDT
Taking bug.
Comment 9 Kristian Høgsberg 2005-06-21 17:24:21 EDT
Fixed in XFree86-xfs-4.3.0-84.EL.
Comment 10 Mike A. Harris 2005-06-22 15:39:50 EDT
Please test XFree86-4.3.0-85.EL and provide feedback as to the results of
testing.  Beta rpms are available for testing at the following URL:

    ftp://people.redhat.com/mharris/testing/3.0E


Setting status to "MODIFIED", awaiting testing results.
Comment 11 Red Hat Bugzilla 2005-09-15 04:47:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-501.html

Note You need to log in before you can comment on or make changes to this bug.